LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices



Reply
 
Search this Thread
Old 12-14-2011, 08:10 AM   #1
anjumanu321
Member
 
Registered: May 2011
Location: Hyderabad, India
Distribution: RedHat 6,Centos,Debian Squeeze
Posts: 49

Rep: Reputation: Disabled
Problem in upgrading CPAN


Hello,

I am trying to upgrade CPAN and getting the following errors.
Please suggest how to proceed.


" CPAN.pm: Going to build A/AN/ANDK/CPAN-1.9800.tar.gz

Importing PAUSE public key into your GnuPG keychain... done!
(You may wish to trust it locally with 'gpg --lsign-key 450F89EC')
Checking if your kit is complete...
Looks good
Writing Makefile for CPAN
Could not read '/root/.cpan/build/CPAN-1.9800-qmv5vY/META.yml'. Falling back to other methods to determine prerequisites
Can't exec "make": No such file or directory at /usr/share/perl/5.10/CPAN/Distribution.pm line 2003.
ANDK/CPAN-1.9800.tar.gz
make -- NOT OK
Warning (usually harmless): 'YAML' not installed, will not store persistent state
Running make test
Can't test without successful make
Running make install
Make had returned bad status, install seems impossible
Failed during this command:
ANDK/CPAN-1.9800.tar.gz : make NO "


fyi, I am using Debian Squeeze.


Thanks in advance,

---
Anji
 
Old 12-14-2011, 08:13 AM   #2
xxx_anuj_xxx
Member
 
Registered: Jun 2004
Location: Bharat
Distribution: RedHat, Debian, FreeBSD, Fedora, Centos
Posts: 114

Rep: Reputation: 16
Do you have package make installed?
 
Old 12-14-2011, 08:16 AM   #3
AwesomeMachine
Senior Member
 
Registered: Jan 2005
Location: USA and Italy
Distribution: Debian jessie/sid; OpenSuSE; Fedora
Posts: 1,593

Rep: Reputation: 162Reputation: 162
Try this

aptitude install libyaml-appconfig-perl
 
Old 12-14-2011, 08:19 AM   #4
Cedrik
Senior Member
 
Registered: Jul 2004
Distribution: Slackware
Posts: 2,140

Rep: Reputation: 242Reputation: 242Reputation: 242
Code:
$ su -
# cpan
# cpan> install Bundle::CPAN
# cpan> reload cpan
# cpan> exit
 
Old 12-14-2011, 08:40 AM   #5
anjumanu321
Member
 
Registered: May 2011
Location: Hyderabad, India
Distribution: RedHat 6,Centos,Debian Squeeze
Posts: 49

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by xxx_anuj_xxx View Post
Do you have package make installed?
Now I have installed MAKE package
 
Old 12-14-2011, 08:52 AM   #6
anjumanu321
Member
 
Registered: May 2011
Location: Hyderabad, India
Distribution: RedHat 6,Centos,Debian Squeeze
Posts: 49

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Cedrik View Post
Code:
$ su -
# cpan
# cpan> install Bundle::CPAN
# cpan> reload cpan
# cpan> exit
Successfully upgraded but with few errors,do I need to worry about these?

"Failed during this command:
ANDYA/Test-Harness-3.23.tar.gz : make_test NO
GBARR/Scalar-List-Utils-1.23.tar.gz : make NO
SMUELLER/PathTools-3.33.tar.gz : make NO
SMUELLER/Data-Dumper-2.131.tar.gz : make NO
MSHELOR/Digest-SHA-5.70.tar.gz : make NO
PMQS/Compress-Raw-Bzip2-2.045.tar.gz : make NO
PMQS/Compress-Raw-Zlib-2.045.tar.gz : make NO
JSTOWE/TermReadKey-2.30.tar.gz : make NO
PMQS/IO-Compress-2.045.tar.gz : make_test NO "



Also, when I am trying to install YAML getting the following errors

perl -MCPAN -e 'install PERL::YAML'

"CPAN: Storable loaded ok (v2.20)
Reading '/root/.cpan/Metadata'
Database was generated on Wed, 14 Dec 2011 12:27:57 GMT
Warning: Cannot install PERL::YAML, don't know what it is.
Try the command

i /PERL::YAML/

to find objects with matching identifiers.
CPAN: Time::HiRes loaded ok (v1.9719)"
 
Old 12-14-2011, 09:06 AM   #7
Cedrik
Senior Member
 
Registered: Jul 2004
Distribution: Slackware
Posts: 2,140

Rep: Reputation: 242Reputation: 242Reputation: 242
Do you have all development tools installed, gcc, g++, libc-dev etc... ?

I don't run debian, but it seems development tools are combined in one package:
'build-essential'

You may install them all at once with: apt-get install build-essential
but again I don't know debian, so...

Last edited by Cedrik; 12-14-2011 at 09:12 AM.
 
Old 12-15-2011, 09:10 AM   #8
anjumanu321
Member
 
Registered: May 2011
Location: Hyderabad, India
Distribution: RedHat 6,Centos,Debian Squeeze
Posts: 49

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Cedrik View Post
Do you have all development tools installed, gcc, g++, libc-dev etc... ?

I don't run debian, but it seems development tools are combined in one package:
'build-essential'

You may install them all at once with: apt-get install build-essential
but again I don't know debian, so...
Thanks for all your help guys.I have successfully upgraded CPAN.
 
  


Reply

Tags
cpan, upgrade


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Upgrading Perl using CPAN on Red Hat ES 3 kaplan71 Red Hat 0 02-10-2006 03:33 PM
CPAN Problem mesh2005 Linux - Networking 7 10-25-2005 09:36 AM
Cpan install problem MicroSun Linux - Software 1 01-31-2005 09:39 AM
Perl CPAN Problem murphy23 Slackware 4 01-24-2005 08:03 AM
Perl:CPAN problem on startup jester_69 Linux - Software 0 10-04-2003 09:29 PM


All times are GMT -5. The time now is 08:21 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration